2

I have just installed Ubuntu 15.04 Vivid Vervet (+restricted extras), and noticed that I didn't have to install p7zip or p7zip-full to work with .7z files.

As far as I can see it is libarchive13 that is responsible for giving File Roller the ability to work with the 7z format, but is it still advisable to install p7zip or p7zip-full?

  • Please edit your question and add output of dpkg -l | grep p7zip terminal command there. – Pilot6 May 25 '15 at 12:00
  • @Pilot6 Why? I don't have the package installed. They question goes on whether I should install it, or the already installed implementation is sufficient. – beruic May 25 '15 at 12:02
  • @Pilot6 If you must know, the output of that command is (as expected) empty. – beruic May 25 '15 at 12:03
  • I have not heard that file-roller could handle archives itself. It is just a wrapper. But if it works, why worry about that? – Pilot6 May 25 '15 at 12:05
  • According to package description libarchive13 has some limitations for 7z format. – Pilot6 May 25 '15 at 12:07
0

simply use below command buddy:

sudo apt-get install dtrx
dtrx archive.tar.XX
  • 1
    what does the command do? – Tim Jun 29 '15 at 15:55
  • 1
    I agree with @Tim. apt-cache search dtrx tells me dtrx - intelligently extract multiple archive types – waltinator Jun 30 '15 at 7:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.